Get connection (by id)

JavaScript

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.supermemory.ai/v3/connections/{connectionId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

Response Codes

  • 200: Success
  • 401: Unauthorized
  • 404: Not Found
  • 500: Internal Server Error

Response Structure

{
  "createdAt": "<string>",
  "id": "<string>",
  "provider": "<string>",
  "documentLimit": 123,
  "email": "<string>",
  "expiresAt": "<string>",
  "metadata": {},
  "containerTags": [
    "<string>"
  ]
}

Authorizations

Authorization

  • Type: string
  • Location: header
  • Required: Yes
  • Description: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

  • connectionId:
    • Type: string
    • Required: Yes

Response Details

  • 200: application/json - Connection details
    • createdAt: string - required
    • id: string - required
    • provider: string - required
    • documentLimit: number
    • email: string
    • expiresAt: string
    • metadata: object
    • containerTags: string[] - deprecated

Fetch the complete documentation index at: https://supermemory.ai/docs/llms.txt